﻿using System;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.WebForms;

namespace web
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        string yourkey = "";

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {              

                Map1.MapUnit = GeographyUnit.Meter;
                Map1.MapTools.MouseCoordinate.Enabled = true;

                GoogleOverlay google = new GoogleOverlay();
                google.GoogleMapType = GoogleMapType.Hybrid;
                google.JavaScriptLibraryUri = new Uri(string.Format( "https://maps.googleapis.com/maps/api/js?key={0}&callback=initMap", yourkey));

                Map1.CustomOverlays.Add(google);
                Map1.CurrentExtent = new RectangleShape(-10000000, 4200000, -8800000, 3500000);
            }
        }
    }
}